commit:     90f36c66719e6ae5fcc10bc9ac8911f6b2de700e
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sun Dec 22 11:52:13 2019 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sun Dec 22 11:52:13 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=90f36c66

media-plugins/gmpc-libnotify: Port to EAPI 7

Package-Manager: Portage-2.3.81, Repoman-2.3.20
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 .../gmpc-libnotify/gmpc-libnotify-11.8.16.ebuild   | 22 ++++++++++++++--------
 1 file changed, 14 insertions(+), 8 deletions(-)

diff --git a/media-plugins/gmpc-libnotify/gmpc-libnotify-11.8.16.ebuild 
b/media-plugins/gmpc-libnotify/gmpc-libnotify-11.8.16.ebuild
index 93b46902870..7bca1097973 100644
--- a/media-plugins/gmpc-libnotify/gmpc-libnotify-11.8.16.ebuild
+++ b/media-plugins/gmpc-libnotify/gmpc-libnotify-11.8.16.ebuild
@@ -1,7 +1,7 @@
-# Copyright 1999-2012 Gentoo Foundation
+# Copyright 1999-2019 Gentoo Authors
 # Distributed under the terms of the GNU General Public License v2
 
-EAPI=4
+EAPI=7
 
 DESCRIPTION="This plugin sends an announcement to the notification daemon on 
song change"
 HOMEPAGE="http://gmpc.wikia.com/wiki/GMPC_PLUGIN_LIBNOTIFY";
@@ -12,13 +12,17 @@ SLOT="0"
 KEYWORDS="amd64 ppc x86"
 IUSE="nls"
 
-RDEPEND=">=media-sound/gmpc-${PV}
-       dev-libs/libxml2
+RDEPEND="
+       >=media-sound/gmpc-${PV}
+       dev-libs/libxml2:2
        x11-libs/libnotify"
-DEPEND="${RDEPEND}
+DEPEND="${RDEPEND}"
+BDEPEND="
        virtual/pkgconfig
-       nls? ( dev-util/intltool
-               sys-devel/gettext )"
+       nls? (
+               dev-util/intltool
+               sys-devel/gettext
+       )"
 
 src_configure() {
        econf $(use_enable nls)
@@ -26,5 +30,7 @@ src_configure() {
 
 src_install() {
        default
-       find "${ED}" -name "*.la" -exec rm {} + || die
+
+       # plugins only
+       find "${D}" -name '*.la' -delete || die
 }

Reply via email to